EDIT - feature request #8467

Save a "snapshot” of the SpecimenDescriptions used for aggregation
08/15/2019 04:08 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.12

Severity: normal

Description

When aggregating SpecimenDescriptions to a TaxonDescriptions the SDs used should be cloned and associated as sources with the
aggregated TD.

Also the cloned SDs should be flagged as clones because they should not be editable nor visible in the Ul.

Related issues:
Follows EDIT - feature request #7597: Aggregate and persist descriptions on t... Closed
Copied to EDIT - bug #9806: Clones should not be editable in factual data vie... Closed

Associated revisions

Revision 73a78654 - 08/16/2019 10:00 AM - Patrick Plitzner
ref #8467 add commented code

e un-comment when cloned descriptions can be added to taxon descriptions as sources

Revision 16bda3fb - 09/23/2019 10:21 AM - pplitzner

ref #8467 Save cloned source description for aggregation

Revision e8a240c5 - 09/23/2019 02:47 PM - Patrick Plitzner

ref #8467 Fix re-save problem when deleting clone sources

Revision 46278434 - 11/12/2019 11:19 AM - Patrick Plitzner
ref #8651, #8467 Use unified aggregation class for matrix aggregation

e Link specimen descriptions as sources as direct CDM entities

History

#1 - 08/15/2019 04:10 PM - Patrick Plitzner

- Related to feature request #7597: Aggregate and persist descriptions on taxon level added

#2 - 08/15/2019 04:10 PM - Patrick Plitzner

- Related to deleted (feature request #7597: Aggregate and persist descriptions on taxon level)

#3 - 08/15/2019 04:10 PM - Patrick Plitzner
- Due date set to 07/30/2018
- Start date changed from 08/15/2019 to 07/30/2018

- Follows feature request #7597: Aggregate and persist descriptions on taxon level added

#4 - 09/02/2019 09:16 AM - Patrick Plitzner
- Tags changed from add to additivity

#5 - 09/18/2019 02:17 PM - Patrick Plitzner

- Target version changed from Release 5.10 to Release 5.11
#6 - 11/05/2019 01:25 PM - Patrick Plitzner

- Status changed from New to Resolved

#7 - 11/07/2019 10:37 AM - Patrick Plitzner

- Target version changed from Release 5.11 to 287

moving to additivitiy milestone

#8 - 11/12/2019 02:36 PM - Andreas Miiller
- Due date deleted (07/30/2018)

#9 - 12/09/2019 01:29 PM - Andreas Miiller
- Assignee changed from Patrick Plitzner to Andreas Mliller

- Target version changed from 287 to Release 5.12

#10 - 01/16/2020 11:32 AM - Andreas Muller

- Category changed from taxeditor to cdmlib

#11 - 10/11/2021 04:31 PM - Andreas Miiller
- Copied to bug #9806: Clones should not be editable in factual data view and elsewhere added

#12 - 10/11/2021 04:34 PM - Andreas Miiller

- Tags changed from additivity to additivity, aggregation
- Status changed from Resolved to Closed

- Priority changed from New to Highest

- % Done changed from 0 to 100

This for me seems to be fixed. Open issue on visibility of clones moved to new ticket #9806
https://dev.e-taxonomy.eu/redmine/issues/9806
http://www.tcpdf.org

